@import 'variables.sass'

.title
    color: $text-color-secondary
    font-size: 20px
.menu
    margin: 25px 0px
    // padding: 15px
    // display: inline
    position: relative
    &__content
        display: none
        position: absolute
        background-color: #f9f9f9
        min-width: 160px
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2)
        padding: 12px 16px
        z-index: 1
    &__btn
        font-size: 100%
        width: auto
        height: auto
        padding: 15px
        border-radius: 15px
        border: none
        background: $paper-color

    &__option
        font-size: 100%
        padding: 15px
        border-radius: 15px
        border: none
        background: white
        cursor: pointer
        &:hover
            background: $secondary-color

    &__btn:hover + &__content
        display: flex
        flex-direction: column
    &__content:hover
        display: flex
        flex-direction: column

.card
    position: relative
    border-radius: 15px
    padding: 20px
    max-width: 700px
    height: auto
    background-color: $paper-color
    box-shadow: 10px 10px 9px -7px rgba(79,79,79,0.55)
    -webkit-box-shadow: 10px 10px 9px -7px rgba(79,79,79,0.55)
    -moz-box-shadow: 10px 10px 9px -7px rgba(79,79,79,0.55)
.header
    display: flex
    &__summary
        flex-grow: 1
            // display: block
    & *
        // margin-bottom: 2px
    &__citie-info
        // width: 20%
        & *
            text-align: end
            // line-height: 10pxs
            margin: 2px
        & h2
            font-weight: bold
            color: $text-color-primary
            // font-size: 20px
        & p
            color: $text-color-secondary
.summary
    &__temp
        display: flex
        align-items: flex-start
        & p
            color: $text-color-secondary
            font-size: 20px
        &__img
            width: 100px
            height: auto
            margin-right: 5px
            background: orange
            border-radius: 15px
            padding: 5px
        &__nro
            font-size: 20px
            margin-left: 5px
            margin-right: 5px
        &__type
            margin-left: 5px
            letter-spacing: 2px
.divider
    width: 100%
    height: 1px
    margin: 10px 0
    background: $primary-color
.more
    display: flex
    justify-content: space-between
    &__text
        color: $secondary-color
        line-height: 10px

.loader
    display: flex
    position: absolute
    top: 0
    left: 0
    width: 100%
    height: 100%
    background: $secondary-color
    border-radius: 15px
    z-index: 99
    justify-content: center
    align-items: center
    &__spinner
        // display: inline-block
        width: 80px
        height: 80px
        z-index: 100
        display: flex
        &:after
            content: " "
            display: block
            width: 64px
            height: 64px
            margin: 8px
            border-radius: 50%
            border: 6px solid #fff
            border-color: #fff transparent #fff transparent
            animation: lds-dual-ring 1.2s linear infinite

@keyframes lds-dual-ring
    0%
        transform: rotate(0deg)

    100%
        transform: rotate(360deg)
